$drawer-overlay: rgba($blue-grey, 0.86) !default

.#{$namespace}-drawer
  top: 0
  width: 320px
  min-height: 100%
  display: flex
  flex-direction: column
  position: fixed
  transition: $speed
  background-color: white
  z-index: 102

  &.is-left
    left: 0
    box-shadow: inset -1px 0 0 0 rgba(0, 0, 0, .12)

  &.is-right
    right: 0
    box-shadow: inset 1px 0 0 0 rgba(0, 0, 0, .12)

  &-overlay
    position: fixed
    top: 0
    left: 0
    right: 0
    bottom: 0
    background-color: $drawer-overlay
    z-index: 101

  .#{$namespace}
    &-burger
      cursor: pointer
      display: block
      height: 4.25rem
      position: relative
      width: 4.25rem
      position: fixed
      top: 0
      right: 4.5rem
      z-index: 999
      transition: .3s

      > span 
        background-color: currentColor
        display: block
        height: 1px
        left: calc(50% - 8px)
        position: absolute
        transform-origin: center
        transition-duration: 0.3s
        transition-property: background-color, opacity, transform
        transition-timing-function: ease-out
        width: 16px

        &:nth-child(1)
          top: calc(50% - 6px)
        &:nth-child(2)
          top: calc(50% - 1px)
        &:nth-child(3)
          top: calc(50% + 4px)

      &:hover
        background-color: rgba(0, 0, 0, 0.05)
      &.is-active span:nth-child(1)
        transform: translateY(5px) rotate(45deg)
      &.is-active span:nth-child(2)
        opacity: 0
      &.is-active span:nth-child(3)
        transform: translateY(-5px) rotate(-45deg)

    &-drawer-content
      flex: 1 0 auto
      position: absolute
      width: 100%
      height: 100%
      overflow: auto

      > .#{$namespace}-toolbar-burger 
        position: absolute
        top: 0
        right: -4.5rem
        z-index: 999

    &-toolbar
      display: flex
      align-items: center
      min-height: 4.25rem

    &-footer
      flex-shrink: 0
      margin-top: 1rem
      width: 100%
      border-top: 1px solid rgba($blue-grey,0.12)
      background-color: white
      padding: 1rem
      color: $text

      *
        +overflow-touch

      &.is-fixed
        position: fixed
        bottom: 0    

  &.is-active 
    transform: translateX(0)
